Bug 808284 - Booting guest with multiple video/usb tablets devices lead to winxpsp3 guest BSOD
Booting guest with multiple video/usb tablets devices lead to winxpsp3 guest ...
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
Unspecified Unspecified
medium Severity high
: rc
: ---
Assigned To: Gerd Hoffmann
Virtualization Bugs
Depends On:
  Show dependency treegraph
Reported: 2012-03-29 23:20 EDT by juzhang
Modified: 2012-07-03 06:47 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-07-03 06:47:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description juzhang 2012-03-29 23:20:28 EDT
Description of problem:
This issue is separated from bz806230, Boot guest with three video/usb tablets devices,

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Boot guest with three qxl devices and usb-tablet
/usr/libexec/qemu-kvm -M rhel6.3.0 -enable-kvm -m 1024 -smp
1,sockets=1,cores=1,threads=1 -name xp -uuid
18585065-c348-1c4f-46b9-fdfee279543b -nodefconfig -nodefaults -rtc base=utc
-no-shutdown -device piix3-usb-uhci,id=usb,bus=pci.0,addr=0x1.0x2 -device
virtio-serial-pci,id=virtio-serial0,bus=pci.0,addr=0x5 -drive
-device ide-drive,drive=drive-ide0-0-0,id=ide0-0-0,bootindex=1 -netdev
tap,id=hostnet0 -device
-chardev pty,id=charserial0 -device isa-serial,chardev=charserial0,id=serial0
-chardev spicevmc,id=charchannel0,name=vdagent -device
-spice port=5900,disable-ticketing -vga qxl -global qxl-vga.vram_size=67108864
-device qxl,id=video1,vram_size=67108864,bus=pci.0,addr=0x7 -device
qxl,id=video2,vram_size=67108864,bus=pci.0,addr=0x8 -device
intel-hda,id=sound0,bus=pci.0,addr=0x4 -device
hda-duplex,id=sound0-codec0,bus=sound0.0,cad=0 -device
virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x6 -monitor stdio
qemu-kvm- -device usb-tablet,id=input0
-device usb-tablet,id=input1 -device usb-tablet,id=input2
Actual results:
Windowxpsp3 got bsod

Expected results:
Guest works well.

Additional info:
1.Also tried win7-64, did not hit BSOD, just mouse can not move in extend desktop
2.Removing usb tablet,can not hit this problem
Comment 2 Gerd Hoffmann 2012-03-30 10:10:48 EDT
No need for a multihead setup.  Just two tablets are enough to trigger.  Investigating.
Comment 9 Ademar Reis 2012-04-18 13:33:35 EDT
The patches have been self-nacked by Gerd. Sorry for the noise.
Comment 10 Gerd Hoffmann 2012-04-20 08:49:00 EDT
Same root cause like bug 813713, devices need unique serial numbers.
For hid devices we can't just do that easily though as we (ab-)use the fixed serial number "42" to signal remote wakeup support working correctly.
Comment 12 Gerd Hoffmann 2012-07-03 06:47:41 EDT
Let's go for a simple "don't do that then", multiple usb hid devices of the same kind are a pretty pointless setup, qemu will route input events to a single device only anyway.

Note You need to log in before you can comment on or make changes to this bug.